import request,{get,post,upload} from "./request.js"


// =======账号密码登录========
export const getLoginPassword = (data) =>{
	return post('/api/resident/auth/loginByPassword',data)
}
// 注册新用户获取验证码
export const getSendCode = (data) =>{
	return post('/api/resident/auth/sendSmsCode',data)
}
// 注册新用户
export const getRegisterUser = (data) =>{
	return post('/api/resident/auth/register',data)
}
// 短信验证码登录
export const getLoginBySms = (data) =>{
	return post('/api/resident/auth/loginBySms',data)
}
// 忘记密码接口
export const getResetPassword = (data) =>{
	return post('/api/resident/auth/resetPassword',data)
}
// =========首页=======
// 获取bannar图
export const getBannarList = (data) =>{
	return get('/resident/banner',data)
}
// 首页最新公告
export const getNoticeLatest = (data) =>{
	return get('/api/resident/notice/latest', data)
}

// 查询已认证的小区
export const getVillageList = (data) =>{
	return get('/api/resident/village/myList', data)
}
// 获取当前小区
export const getCurrentVillage = () =>{
	return get('/api/resident/village/current')
}
// 切换小区
export const getVillageSwitch = (data)=>{
	return post('/api/resident/village/switch',data)
}
// 首页最新活动列表
export const getActivitylatest = (data) =>{
	return get('/api/resident/activity/latest',data)
}
// 重新加载用户信息
export const getReloadUserInfo = () =>{
	return get('/api/resident/auth/reloadUserInfo')
}

// ========公告列表======
// 获取公告列表
export const getNoticeList = (data) =>{
	return get('/api/resident/notice/list',data)
}
// 获取公告详情
export const getNoticeDetails = (noticeId) =>{
	return get(`/api/resident/notice/${noticeId}`)
}
// =========键开门===============
// 查询门禁列表
export const getAccessDevices = (data) =>{
	return get("/api/resident/access/devices",data)
}
// 确认开门
export const getAccessOpen = (data) =>{
	return post("/api/resident/access/open",data)
}
// ==========活动列表===========
// 获取活动列表
export const getActivityList = (data) =>{
	return get("/api/resident/activity/list",data)
}
// 获取活动列表详情
export const getActivityDetails = (id,data) =>{
	return get(`/api/resident/activity/${id}`,data)
}
// 确认报名
export const confirmResident = (id,data) =>{
	return post(`/api/resident/activity/${id}/apply`,data)
}
// 取消报名
export const cancelActivity = (id,data) =>{
	return post(`/api/resident/activity/${id}/cancel`,data)
}
// =========我的活动========
export const getMyActivityList = (data) =>{
	return get("/api/resident/activity/my",data)
}
// ===========活动实况============
// 活动实况列表
export const getActivityLive = (id,data) =>{
	return get(`/api/resident/activity/live/${id}`,data)
}
// 添加实况
export const addActivityLive = (id, data) =>{
	return post(`/api/resident/activity/${id}/live`, data)
}
// 签到
export const signinActivityLive = (id, data) =>{
	return post(`/api/resident/activity/${id}/signin`, data)
}
// ==============在线报修========
// 添加报修工单
export const addQueryRepair = (data) =>{
	return post("/repairOrder/addRepair",data)
}
// 获取公共维修项目列表
export const getRepairProjectList = (data) =>{
	return get("/repairOrder/list",data)
}
// 获取报修列表
export const getQueryRepair = (data) =>{
	return get("/repairOrder/queryRepair",data)
}
// 获取房屋列表
export const getHouseList = (data) =>{
	return get('/repairOrder/certifiedHouseList',data)
}
// 报修详情
export const getRepairDetail = (data) =>{
	return get('/repairOrder/queryRepairDetail',data)
}
// =========访客邀请===========
// 获取访客列表
export const getVisitorList = (data) =>{
	return get('/api/visitor/list',data)
}
// 获取详情信息
export const getVisitorDetail = (id) =>{
	return get(`/api/visitor/${id}`)
}
// 新增访客
export const addVisitorData = (data) =>{
	return post("/api/visitor", data)
}

// 上传单张图片
export const uploadFile = (filePath) => {
	return upload(filePath,'/api/resident/file/uploadImage');
}
// 单推消息推送
export const getPushSingle = (data) =>{
	return post("/api/push/single", data)
}
